Create collection
curl --request POST \
--url https://api.puplar.com/collections \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Product purchase",
"amount": 5000,
"currency": "usd",
"description": "Payment for order #1234"
}
'import requests
url = "https://api.puplar.com/collections"
payload = {
"title": "Product purchase",
"amount": 5000,
"currency": "usd",
"description": "Payment for order #1234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Product purchase',
amount: 5000,
currency: 'usd',
description: 'Payment for order #1234'
})
};
fetch('https://api.puplar.com/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Success",
"data": {}
}{
"message": "Error message",
"data": {},
"errors": {}
}{
"message": "Error message",
"data": {},
"errors": {}
}Collections
Create collection
Create a reusable checkout URL
POST
/
collections
Create collection
Authorizations
Secret key: Authorization: Bearer sk_test_... or sk_live_.... Business and live/test mode are inferred from the key.
Body
application/json

